Module
Contents
Index 🔎︎

# Add-in Functions

The following describes and lists some of the available add-in functions.

Ledaancho hedo

You will also find a description of the LibreOffice Calc add-in interface in the Help. In addition, important functions and their parameters are described in the Help for the Shared Library LibreOffice Calc add-in DLL
.

## Ledaanchu shiqqo

LibreOffice ledaanchu reqecciimo lawishshuwa LibreOffice Calcamadino.

Tittirshu Assiishshubba Gafa mite

Tittirshu Assiishshubba Gafa Lame

## DAYSINMONTH

Aganu barruwa giddonni barru eo hanafo kiiro shallaganno.

### Syntax

DAYSINMONTH(Barra)

Barra amadamino diri giddo ayee aganaati. Barru eishshi giddo qineesso LibreOffice garinni horonniha ikka noosi.

### Example

=DAYSINMONTH(A1) A1 1968-02-17, amadiro 29 barruwa qolanno, Ammajjete hornyu barri 1968.

## DAYSINYEAR

Diru barruwa giddonnibarru eo hanafo kiiro shallaganno.

### Syntax

Dirubarruwa(Barra)

Barra amadamino diri giddo ayee barraati. Barru eishshi giddo qineesso LibreOffice garinni horonniha ikka noosi.

### Example

=DAYSINYEAR(A1) A1 1968-02-29 amadiro 366barruwa qolanno, diroho hornyu barri 1968.

## ISLEAPYEAR

Diru leap ikkanna hoonge gumulanno. ikkiro, assiishshu hornyo 1 (TRUE)qolanno; ikka hoogiro, 0 (FALSE)qolanno.

### Syntax

ISLEAPYEAR("Barra")

Date specifies whether a given date falls within a leap year. The Date parameter must be a valid date.

### Example

=ISLEAPYEAR(A1) 1 qolanno, A1 1968-02-29 amadiha ikkiro, giddo qineesso garinni horote barri Ammajje 29ki 1968 ikkanno.

You may also use =ISLEAPYEAR(DATE(1968;2;29)) or =ISLEAPYEAR("1968-02-29") giving the date string in the ISO 8601 notation.

=ISLEAPYEAR(2/29/68)horoonsidhooti, korkaatuno umo 2 beehama 29 beehama 68, nna aanchite ISLEAPYEAR assiishsha shiimiidi kiironni aantete barru kiiro gede keeni.

## MONTHS

Diru giddo lamu aganna mereero noo badooshshe sahallaganno.

### Syntax

MONTHS(StartDate; EndDate; Dana)

HanafoteBarri umi barraati

GoofimarchuBarri layiinkki barraati

Dana badooshshu danna shallaganno. Dandiinanni hornyuwa 0 (fanfe) nna 1 (kiirantino aganna giddo).

## ROT13

Fidalete aante giddo Fikiimoota 13ofolluwara harisatennifikiimu naanni fikiima maafusidanno. Fidale Z gedensaanni, fidalla wirro higge(Doyitanno). Mafidishshu assiishsha wirro qole loosiisatenni, borro seedisa dandaatto.

### Syntax

ROT13(Borro)

Borro maafudama noose fikiimu naanni fikiimaati. ROT13(ROT13(Dana)) koodde haransanno.

## WEEKS

Lamalate giddo lamu barruwa mereero noo badooshshe sahallaganno.

### Syntax

WEEKS(StartDate; EndDate; Dana)

HanafoteBarri umi barraati

GoofimarchuBarri layiinkki barraati

Dana badooshshu danna shallaganno. Dandiinanni hornyuwa 0 (fanfe) nna 1 (lamalate kiiro giddo).

## WEEKSINYEAR

Barru eo hanafonnidiru giddo laamalate kiiro shallaganno. Lamalate kiiro aananno garinni tirantino: Lame diro amaddanno lamalalamalate barri hanafo giddo diroho lexxitanno.

### Syntax

WEEKSINYEAR(Barra)

Barra amadamino diri giddo ayee barraati. Barru eishshi giddo qineesso LibreOffice garinni horonniha ikka noosi.

### Example

WEEKSINYEAR(A1) A1 1970-02-17 amadiro 53 qolanno, diroho hornyu barri 1970.

## YEARS

Diru giddo lamu barruwa mereero noo badooshshe sahallaganno.

### Syntax

YEARS(StartDate; EndDate; Dana)

HanafoteBarri umi barraati

GoofimarchuBarri layiinkki barraati

Dana badooshshu danna shallaganno. Dandiinanni hornyuwa 0 (fanfe) nna 1 (kiirantino dirra giddo).

## Ledaancho giddoonni LibreOffice API

Add-ins can also be implemented through the LibreOffice API.

Fiixoo'mino umo

Functions by Category